<?php
session_start();
$ges_id = $_SESSION['ges_id'];
$ges_nom = $_SESSION['ges_nom'];
$ges_consu = $_SESSION['ges_consu'];

if($ges_id == '' || $ges_nom == ''):
    ?>
    <script type="text/javascript">
        alert('Usuario inválido');
        cerrar();
    </script>
    <?
endif;

header('Content-type: text/html; charset = utf-8');

require("../funciones/funciones.php");
require("../funciones/post_get.php");
require("../class/bases.php");

date_default_timezone_set("America/Bogota");
$hora_hoy = date("H:i:s");
$sis_dia = date('d');
$sis_mes = date('m');
$sis_ano = date('Y');
//Mensaje = mysql_error();
$fecha_hoy = $sis_ano."-".$sis_mes."-".$sis_dia;

if($id_master=='-'): 
    $var = '1'; 
else: 
    $var = 'id_master='.$id_master; 
endif;

if($estado_cta=='-'): 
    $var2 = ''; 
else: 
    $var2 = 'and activo='.$estado_cta; 
endif;

$nro=1;
$nro_grupos=1;

//Identifico el grupo
$sqlMaster = "SELECT id_master, nom_master FROM cta_master WHERE $var";
$conMaster = $bdOut->consulta($sqlMaster);
while($resMaster = $bdOut->fetch_assoc($conMaster)):
    $nom_master = utf8_encode($resMaster['nom_master']);
    $id_master = $resMaster['id_master'];

    $totalPlanillas=0;
    $totalPagos=0;
    $totalRetiros=0;
    $totalPersonas=0;
    $totalUsuarios=0;
    $totalRecibos=0;

    //Identifico las CTA del grupo
    $sqlCTA = "SELECT * FROM cta WHERE id_master_fk_cta=$id_master $var2";
    $conCTA = $bdOut->consulta($sqlCTA);
    while($resCTA = $bdOut->fetch_assoc($conCTA)):
        $pagos=0;
        $retiros=0;	
        $total_per=0;
        $totalPLA=0;
        
        $nombre=utf8_encode($resCTA['nombre']);
        $nombre_plano=utf8_encode($resCTA['nombre_plano']);
        $nit_plano=$resCTA['nit_plano'];
        $id_master_fk_cta=$resCTA['id_master_fk_cta'];
        $id_cta=$resCTA['id_cta'];
        $comentario=utf8_encode($resCTA['comentario']);
        $modo=$resCTA['modo'];
        $activo=$resCTA['activo'];
        
        //Identifico las PLANILLAS de la CTA
        $sqlPLA = "SELECT * FROM planilla_unico WHERE mes=$mes_planilla and ano=$ano_planilla and id_cta_fk_pl='$id_cta'";
        $conPLA = $bdOut->consulta($sqlPLA);
        $totalPLA = $bdOut->num_rows($conPLA);

        //Total usuarios
        $sqlUSU = "select * from usuario where retiro_total = 0 and id_cta_fk_us = '$id_cta'";
        $conUSU = $bdOut->consulta($sqlUSU);
        $totalUSU = $bdOut->num_rows($conUSU);
            
        $sqlREC = "select * from recibos where total != 0 and mes_pago = '$mes_planilla' and ano_pago = '$ano_planilla' and id_cta_fk_re = '$id_cta'";
        $conREC = $bdOut->consulta($sqlREC);
        $totalREC = $bdOut->num_rows($conREC);

        if($planilla == 1 && $totalPLA!=0):

            while($resPagos = $bdOut->fetch_assoc($conPLA)):
                $nro_planilla = $resPagos['nro_planilla'];
                //Pagos    
                $sqlPAGOS = "select * from personas_planilla_unico where nro_planilla = '$nro_planilla' and (novedad = 0 or novedad = 1) and id_cta_fk_ppl = '$id_cta'";
                $conPAGOS = $bdOut->consulta($sqlPAGOS);
                $pagos = $pagos + $bdOut->num_rows($conPAGOS);

                //Retiro
                $sqlRET = "select * from personas_planilla_unico where nro_planilla = '$nro_planilla' and (novedad = 2 or novedad = 3) and id_cta_fk_ppl = '$id_cta'";
                $conRET = $bdOut->consulta($sqlRET);
                $retiros = $retiros + $bdOut->num_rows($conRET);

                //Total personas
                $total_per = $pagos + $retiro; 

                $indicador=1;

            endwhile;

            $totalPlanillas=$totalPlanillas+$totalPLA;
            $totalPagos=$totalPagos+$pagos;
            $totalRetiros=$totalRetiros+$retiros;
            $totalPersonas=$totalPersonas+$total_per;
            $totalUsuarios=$totalUsuarios+$totalUSU;
            $totalRecibos=$totalRecibos+$totalREC;

            $array_planillas[]=array('nro'=>$nro++, 'id_master_fk_cta'=>$id_master_fk_cta, 'id_cta'=>$id_cta, 'nit_plano'=>$nit_plano, 'nombre_plano'=>$nombre_plano, 'cant_planillas'=>$totalPLA, 'total_pagos'=>$pagos, 'total_retiros'=>$retiros, 'total_personas'=>$total_per,'usu_activos'=>$totalUSU, 'total_recibos'=>$totalREC, 'activo'=>$activo, 'modo'=>$modo, 'grupo'=>$nom_master); 

        elseif($planilla == 0 && $totalPLA==0):

            $indicador=1;

            $array_planillas[]=array('nro'=>$nro++, 'id_master_fk_cta'=>$id_master_fk_cta, 'id_cta'=>$id_cta, 'nit_plano'=>$nit_plano, 'nombre_plano'=>$nombre_plano, 'cant_planillas'=>'0', 'total_pagos'=>'0', 'total_retiros'=>'0', 'total_personas'=>'0','usu_activos'=>$totalUSU, 'total_recibos'=>$totalREC, 'activo'=>$activo, 'modo'=>$modo, 'grupo'=>$nom_master);
        endif;

    endwhile;

    if($indicador == 1):

        $array_grupos[]=array('nro'=>$nro_grupos++, 'id_master'=>$id_master, 'nom_master'=>$nom_master, 'totalPlanillas'=>$totalPlanillas, 'totalPagos'=>$totalPagos, 'totalRetiros'=>$totalRetiros, 'totalPersonas'=>$totalPersonas, 'totalUsuarios'=>$totalUsuarios, 'totalRecibos'=>$totalRecibos);
        $indicador = 0;
        
    endif;

endwhile;



/*echo "<br><br>";
echo "array_planillas: ";
echo('<pre>');
var_dump($array_planillas);
echo('</pre>');*/

//Vista de la relación de datos
require("out_planilla_pago_vista.php");

?>